<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class choise_descriptions extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('choise_descriptions', function (Blueprint $table) {
            $table->id();
            $table->text('name')->nullable();
            $table->text('description')->nullable();

            $table->unsignedBigInteger('choise_id')->nullable();
            $table->foreign('choise_id')->references('id')->on('choises')->onDelete('cascade')->onUpdate('cascade');

            $table->unsignedBigInteger('language_id')->nullable();
            $table->foreign('language_id')->references('id')->on('languages')->onDelete('cascade')->onUpdate('cascade');

            $table->engine = 'InnoDB';
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        //
    }
};
